aboutsummaryrefslogtreecommitdiff
path: root/libraries/protobuf-c/protobuf-c.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/protobuf-c/protobuf-c.SlackBuild')
-rw-r--r--libraries/protobuf-c/protobuf-c.SlackBuild17
1 files changed, 7 insertions, 10 deletions
diff --git a/libraries/protobuf-c/protobuf-c.SlackBuild b/libraries/protobuf-c/protobuf-c.SlackBuild
index 9291628f65606..fdc7ae1977bd8 100644
--- a/libraries/protobuf-c/protobuf-c.SlackBuild
+++ b/libraries/protobuf-c/protobuf-c.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=protobuf-c
-VERSION=${VERSION:-1.4.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-1.4.1}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -50,13 +50,10 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=$ARCH -mtune=i686"
LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+elif [ "$ARCH" = "x86_64" ] || [ "$ARCH" = "aarch64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
else
@@ -90,8 +87,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -ar TODO LICENSE ChangeLog README.md \